package com.fr.plugin.cpic.web.component;

import com.fr.web.struct.Component;
import com.fr.web.struct.browser.RequestClient;
import com.fr.web.struct.category.FileType;
import com.fr.web.struct.category.ParserType;
import com.fr.web.struct.category.ScriptPath;

public class CpicThemeJsComponent extends Component {

    public static CpicThemeJsComponent KEY = new CpicThemeJsComponent();

    private CpicThemeJsComponent() {

    }

    @Override
    public ScriptPath script(RequestClient requestClient) {
        return ScriptPath.build("com.fr.plugin.cpic.web.component.generator.CpicThemeJsGenerator", FileType.CLASS, ParserType.DYNAMIC);
    }

}
