package com.fr.plugin.cpic.web.component.generator;

import com.fr.base.TemplateUtils;
import com.fr.gen.TextGenerator;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.HashMap;
import java.util.Map;

public class CpicThemeJsGenerator implements TextGenerator {

    public String text(HttpServletRequest req, HttpServletResponse res) throws Exception {
        Map<String, Object> renderMap = new HashMap();

        return TemplateUtils.renderTemplate(this.template(), renderMap);
    }


    public String mimeType() {
        return "text/javascript";
    }

    public String template() {
        return "/com/fr/plugin/cpic/web/js/customexport.js";
    }

}
