package com.fr.plugin.cpic.web.custom;

import com.fr.decision.inject.DecisionInjectExtraInfoBuilder;
import com.fr.decision.inject.node.impl.AbstractDecisionInjectNode;

import java.util.HashMap;
import java.util.Map;

public class CustomDecisionErrorInjectNode extends AbstractDecisionInjectNode {

    private String type;
    private String homepath;
    private String message;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getHomepath() {
        return homepath;
    }

    public void setHomepath(String homepath) {
        this.homepath = homepath;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public CustomDecisionErrorInjectNode(String type, String homepath, String message) {
        this.setType(type);
        this.setHomepath(homepath);
        this.setMessage(message);
    }

    public String name() {
        return null;
    }

    @Override
    protected Map<String, Object> calculate(DecisionInjectExtraInfoBuilder var1) throws Exception {
        HashMap var2 = new HashMap();
        if (var1.user() != null) {
            var2.put("type", this.getType());
            var2.put("homepath", "/" + this.getHomepath());
            var2.put("message", this.getMessage());
        }
        return var2;
    }

}
